<ng-container [ngSwitch]="pageId">
  <ng-container *ngIf="this.errorMessage">
    <app-error [message]="this.errorMessage"></app-error>
  </ng-container>
  <div *ngSwitchCase="'login.ftl'">
    <app-login></app-login>
  </div>
  <div *ngSwitchCase="'register.ftl'">
    <app-register></app-register>
  </div>
  <div *ngSwitchCase="'login-verify-email.ftl'">
    <app-login-verify-email></app-login-verify-email>
  </div>
  <div *ngSwitchCase="'login-reset-password.ftl'">
    <app-reset-password></app-reset-password>
  </div>
  <div *ngSwitchCase="'login-update-password.ftl'">
    <app-update-password></app-update-password>
  </div>
  <div *ngSwitchCase="'login-page-expired.ftl'">
    <app-page-expired></app-page-expired>
  </div>
  <div *ngSwitchCase="'terms.ftl'">
    <app-terms></app-terms>
  </div>
  <div *ngSwitchCase="'error.ftl'">
    <!-- app-error should catch error pages -->
    <!-- <span>Error Page</span>
    <span>template not implemented</span> -->
  </div>
  <div *ngSwitchCase="'info.ftl'">
    <!-- <span>Info Page</span>
    <span>template not implemented</span> -->
  </div>
  <div *ngSwitchDefault>
    <h1>unknown page id</h1>
    <span>
      template for pageid {{pageId}} not implemented
    </span>
  </div>
  <ng-container>
    <app-back-to-baseurl></app-back-to-baseurl>
  </ng-container>
  <pre *ngIf="!production && (debug.debugMode|async)">{{kcContext|json}}</pre>
</ng-container>
